org.apache.ignite.internal.cache.query.index.sorted.inline.types

## Class NumericInlineIndexKeyType<T extends IndexKey>

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType<T>
  - - org.apache.ignite.internal.cache.query.index.sorted.inline.types.NumericInlineIndexKeyType<T>

All Implemented Interfaces:
  InlineIndexKeyType

Direct Known Subclasses:
  BooleanInlineIndexKeyType, ByteInlineIndexKeyType, DoubleInlineIndexKeyType, FloatInlineIndexKeyType, IntegerInlineIndexKeyType, LongInlineIndexKeyType, ShortInlineIndexKeyType

    public abstract class NumericInlineIndexKeyType<T extends IndexKey>
    extends NullableInlineIndexKeyType<T>

Inline index key implementation for inlining numeric values.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType

`CANT_BE_COMPARE, COMPARE_UNSUPPORTED, keySize, VARTYPE_HEADER_SIZE`

### Constructor Summary

Constructors
`protected` `NumericInlineIndexKeyType(IndexKeyType type, short keySize)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected int` `inlineSize0(T key)` Return inlined size for specified key.
`boolean` `isComparableTo(IndexKey key)`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.inline.types.NullableInlineIndexKeyType

`compare, compare0, get, get0, inlinedFullValue, inlineSize, inlineSize, inlineSize, isNull, keySize, put, put0, readBytes, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumericInlineIndexKeyType

    protected NumericInlineIndexKeyType(IndexKeyType type,
                                        short keySize)

Constructor.

### Method Detail

#### isComparableTo

    public boolean isComparableTo(IndexKey key)

Returns:
  `True` if inlined value can be compared to index key.

#### inlineSize0

    protected int inlineSize0(T key)

Return inlined size for specified key.

Specified by:
  `inlineSize0` in class `NullableInlineIndexKeyType<T extends IndexKey>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023